# eric3.Packagers.PackagersExecDialog

Module implementing a dialog to show the output of the packager process.

### Classes

PackagersExecDialog | Module implementing a dialog to show the output of the packager process.

### Functions

None

## PackagersExecDialog

Module implementing a dialog to show the output of the packager process.

This class starts a QProcess and displays a dialog that shows the output of the packager command process.

### Derived from

PackagersExecForm

### Methods

PackagersExecDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the process finished.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
start | Public slot to start the packager command.

### PackagersExecDialog (Constructor)

PackagersExecDialog(cmdname, parent = None)

Constructor

cmdname
  name of the packager (string)
parent
  parent widget of this dialog (QWidget)

### PackagersExecDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### PackagersExecDialog.finish

finish()

Private slot called when the process finished.

It is called when the process finished or the user pressed the button.

### PackagersExecDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

### PackagersExecDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

### PackagersExecDialog.start

start(args, fn)

Public slot to start the packager command.

args
  commandline arguments for packager program (QStringList)
fn
  main script name to be processed by by the packager (string or QString)

Returns:
  flag indicating the successful start of the process

Up